clang 8.0.0

Public Attributes | List of all members
clang::CodeGen::CallArgList::CallArgCleanup Struct Reference

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CGCall.h"`

Collaboration diagram for clang::CodeGen::CallArgList::CallArgCleanup:
[legend]

## Public Attributes
EHScopeStack::stable_iterator | Cleanup
llvm::Instruction * | IsActiveIP
| The "is active" insertion point. More...

## Detailed Description

Definition at line 277 of file CGCall.h.

## Member Data Documentation

## ◆ Cleanup

EHScopeStack::stable_iterator clang::CodeGen::CallArgList::CallArgCleanup::Cleanup

Definition at line 278 of file CGCall.h.

Referenced by clang::CodeGen::CallArgList::addArgCleanupDeactivation().

## ◆ IsActiveIP

llvm::Instruction* clang::CodeGen::CallArgList::CallArgCleanup::IsActiveIP

The "is active" insertion point.

This instruction is temporary and will be removed after insertion.

Definition at line 282 of file CGCall.h.

Referenced by clang::CodeGen::CallArgList::addArgCleanupDeactivation().

The documentation for this struct was generated from the following file:

- lib/CodeGen/CGCall.h